// moviematDlg.h : Header-Datei
//

#if !defined(AFX_MOVIEMATDLG_H__0693B747_2642_4AB8_BDE4_44725B4504B9__INCLUDED_)
#define AFX_MOVIEMATDLG_H__0693B747_2642_4AB8_BDE4_44725B4504B9__INCLUDED_

#include "Hexformats.h"	// Hinzugefgt von der Klassenansicht
#include "MatrixEdit.h"	// Added by ClassView
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMoviematDlg Dialogfeld


typedef struct
{
	unsigned int	Size_y;
	unsigned int	Size_x;
	unsigned int 	Framecount;
	unsigned int	BPP;		// Bit pro Pixel
	unsigned int	R1;
	unsigned int	R2;
} ST_Header;


#define MAX_FRAMES	1024
#define MAX_SIZE_X	32
#define MAX_SIZE_Y	32
#define MyTimer 1234



class CMoviematDlg : public CDialog
{
// Konstruktion
public:
	void SetBTNStyles();
	unsigned int m_nTimerRate;
	void Convert2Bitmap(char* pBitmap);
	int m_nValPerLine;
	unsigned int m_nKillTimer;
	int ResetData();
	ST_Header m_stInfo;
	void UpdateStatus();
	int m_ActFrame;
	char* m_aFrameList[MAX_FRAMES];
	int m_LastEntry;
	CHexformats m_Exportdatei;
	CMoviematDlg(CWnd* pParent = NULL);	// Standard-Konstruktor

// Dialogfelddaten
	//{{AFX_DATA(CMoviematDlg)
	enum { IDD = IDD_MOVIEMAT_DIALOG };
	CStatic	m_Countertext;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CMoviematDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	char* m_pPuffer;
	CMatrixEdit m_MEdit;
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CMoviematDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLoad();
	afx_msg void OnSave();
	afx_msg void OnExport();
	afx_msg void OnSettings();
	virtual void OnOK();
	afx_msg void OnBtnCpy();
	afx_msg void OnBtnFwd();
	afx_msg void OnBtnNew();
	afx_msg void OnBtnRew();
	afx_msg void OnRd();
	afx_msg void OnRl();
	afx_msg void OnRr();
	afx_msg void OnRu();
	afx_msg void OnBtnBegin();
	afx_msg void OnBtnEnd();
	afx_msg void OnBtnDel();
	afx_msg void OnBtnPaste();
	afx_msg void OnBtnPlay();
	afx_msg void OnBtnStop();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // !defined(AFX_MOVIEMATDLG_H__0693B747_2642_4AB8_BDE4_44725B4504B9__INCLUDED_)
