// Hexformats.cpp: Implementierung der Klasse CHexformats.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "stdafx.h"
#include "Hexformats.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CHexformats::CHexformats()
{
	m_uiBytesInLine = 0;
}

CHexformats::~CHexformats()
{

}

int CHexformats::WriteHeader(FILE* hDatei)
{
	
 	 // bergabeparameter testen
	if (hDatei != NULL)
	{
	
		m_uiBytesInLine = 0;
		m_RomAdress=0;

		// Blockanfang setzen
		fprintf(hDatei,":020000020000FC\n");
	}




	return 1;
}

int CHexformats::WriteData(char *pData, int Len, FILE *hDatei)
{
	unsigned char ucLineLen=0;
	unsigned int Lines = Len / 8;
	unsigned char cAktData;
	unsigned char cksum;

	//char* pData;
	//unsigned int uiLen;
	
	// bergabeparameter testen
	if ((hDatei != NULL) && (pData != NULL))
	{
	
		m_uiBytesInLine = 0;

		// Zeilen-Schreibe-Schleife
		//for (unsigned int uiLineCount=0; uiLineCount < Lines; uiLineCount++)
		{
			// Zeilen Prambel schreiben
			fprintf(hDatei,":08%04x00",m_RomAdress);

			// Checksumme fr Prambel
			cksum =	Len; 
			cksum += (m_RomAdress >>8) + (m_RomAdress & 0xff); 

			// Die 8 Daten schreiben
			for (char i=0; i < Len; i++)
			{
				// Aktuelles Datum bestimmen
				cAktData = pData[/*(uiLineCount*8)+*/i];
				// Schreiben
				fprintf(hDatei,"%02X",cAktData);
				// Datum in Checksumme einrechnen
				cksum += cAktData;
			}

			// Checksumme zuende rechnen und schreiben
			cksum = 0xff - cksum;
			cksum+=1; 
			fprintf(hDatei,"%02X\n",cksum);

			m_RomAdress += 8;

		}

	}

	return 1;
}


int CHexformats::WriteFooter(FILE* hDatei)
{
	// bergabeparameter testen
	if (hDatei != NULL)
	{	
		// Dateiende-Kennzeichen Schreiben
		fprintf(hDatei,":00000001FF\n");
	}


	return 1;

}