// MMFormat.cpp: implementation of the CMMFormat class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "moviemat.h"
#include "MMFormat.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CMMFormat::CMMFormat()
{

}

CMMFormat::~CMMFormat()
{

}

int CMMFormat::WriteHdr(ST_Header* Header,FILE* Datei)
{
	int retwert = 1;

	char* qnd_pointer = (char*) Header;


	unsigned char HdrLen = sizeof(ST_Header);
	
	
	if ((Header != NULL) && (Datei != NULL))
	{
		
		// Headerlaenge
		fputc(HdrLen, Datei);  
		
		// Header
		for (int i = 0; i<HdrLen; i++)
		{
			fputc(qnd_pointer[i], Datei);
		}

	}
	else
	{
		retwert =0;
	}

	return retwert;
}

int CMMFormat::WriteFrame(char *Frame, unsigned int len, FILE *Datei)
{
	int retwert = 1;
	if ((Frame != NULL) && (Datei != NULL))
	{
				
		// Frame
		for (int i = 0; i<len; i++)
		{
			fputc(Frame[i], Datei);
		}

	}
	else
	{
		retwert =0;
	}


	return retwert;
}

int CMMFormat::ReadHdr(ST_Header *Header, FILE *Datei)
{

	int retwert = 1;

	char* qnd_pointer = (char*) Header;


	unsigned int HdrLen_int = sizeof(ST_Header);
	unsigned int HdrLen_ext;
	
	
	if ((Header != NULL) && (Datei != NULL))
	{
		
		// Headerlaenge
		HdrLen_ext=fgetc(Datei);  
		
		// Prfen, ob Struktur Lang genug
		if (HdrLen_ext >= HdrLen_int)
		{
			// Header
			for (int i = 0; i < HdrLen_int; i++)
			{
				qnd_pointer[i] = fgetc(Datei);
			}

			// Rest lesen bis Daten-Anfang
			for (;i<HdrLen_ext;i++)
			{
				HdrLen_int=fgetc(Datei);
			}
		
		}
		else
		{
			// Header lesen, soweit es geht
			for (int i = 0; i < HdrLen_ext; i++)
			{
				qnd_pointer[i] = fgetc(Datei);
			
			}
		}

	}
	else
	{
		retwert =0;
	}

	return retwert;

}

int CMMFormat::ReadFrame(char *Frame, unsigned int len, FILE *Datei)
{
 	int retwert = 1;
	if ((Frame != NULL) && (Datei != NULL))
	{
				
		// Frame
		for (int i = 0; i<len; i++)
		{
			Frame[i] = fgetc(Datei);

			// altes Fileformat bersetzen
			if (1 == Frame[i]) 
			{
				Frame[i]=255;
			}
		}

	}
	else
	{
		retwert =0;
	}


	return retwert;

}
