// moviematDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "moviemat.h"
#include "moviematDlg.h"
#include "MMFormat.h"
#include "Einstellungen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg-Dialogfeld fr Anwendungsbefehl "Info"

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialogfelddaten
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)	
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// Keine Nachrichten-Handler
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMoviematDlg Dialogfeld

CMoviematDlg::CMoviematDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMoviematDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMoviematDlg)
		// HINWEIS: Der Klassenassistent fgt hier Member-Initialisierung ein
	//}}AFX_DATA_INIT
	// Beachten Sie, dass LoadIcon unter Win32 keinen nachfolgenden DestroyIcon-Aufruf bentigt
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_stInfo.Size_x = 16;
	m_stInfo.Size_y = 8;
	m_stInfo.BPP = 2;
	m_stInfo.R1=0xaaaa;
	m_stInfo.R2=0x5555;

	m_nKillTimer = 0;
	m_nTimerRate = 50;

	
	m_LastEntry = 0; // Index in m_aFrameList
	m_ActFrame = 0;


	m_nValPerLine = 8;

	// Einen Frame gibt es immer!
	char* pTheMovie = (char*)calloc(m_stInfo.Size_x*	m_stInfo.Size_y,1);

	m_pPuffer = 	(char*)calloc(m_stInfo.Size_x*	m_stInfo.Size_y,1);


	if (NULL != pTheMovie)
	{
		m_aFrameList[m_LastEntry] = pTheMovie;
	}

}

void CMoviematDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMoviematDlg)
	DDX_Control(pDX, IDC_Counter, m_Countertext);
	DDX_Control(pDX,IDC_CUSTOM1,m_MEdit);
	//}}AFX_DATA_MAP

}

BEGIN_MESSAGE_MAP(CMoviematDlg, CDialog)
	//{{AFX_MSG_MAP(CMoviematDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDLOAD, OnLoad)
	ON_BN_CLICKED(IDSAVE, OnSave)
	ON_BN_CLICKED(IDEXPORT, OnExport)
	ON_BN_CLICKED(IDSETTINGS, OnSettings)
	ON_BN_CLICKED(IDC_BTN_CPY, OnBtnCpy)
	ON_BN_CLICKED(IDC_BTN_FWD, OnBtnFwd)
	ON_BN_CLICKED(IDC_BTN_NEW, OnBtnNew)
	ON_BN_CLICKED(IDC_BTN_REW, OnBtnRew)
	ON_BN_CLICKED(IDC_RD, OnRd)
	ON_BN_CLICKED(IDC_RL, OnRl)
	ON_BN_CLICKED(IDC_RR, OnRr)
	ON_BN_CLICKED(IDC_RU, OnRu)
	ON_BN_CLICKED(IDC_BTN_BEGIN, OnBtnBegin)
	ON_BN_CLICKED(IDC_BTN_END, OnBtnEnd)
	ON_BN_CLICKED(IDC_BTN_DEL, OnBtnDel)
	ON_BN_CLICKED(IDC_BTN_PASTE, OnBtnPaste)
	ON_BN_CLICKED(IDC_BTN_PLAY, OnBtnPlay)
	ON_BN_CLICKED(IDC_BTN_STOP, OnBtnStop)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMoviematDlg Nachrichten-Handler

BOOL CMoviematDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Hinzufgen des Menbefehls "Info..." zum Systemmen.

	// IDM_ABOUTBOX muss sich im Bereich der Systembefehle befinden.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{	
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Symbol fr dieses Dialogfeld festlegen. Wird automatisch erledigt
	//  wenn das Hauptfenster der Anwendung kein Dialogfeld ist
	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden
	
	// ZU ERLEDIGEN: Hier zustzliche Initialisierung einfgen

	UpdateStatus();

	return TRUE;  // Geben Sie TRUE zurck, auer ein Steuerelement soll den Fokus erhalten
}

void CMoviematDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// Wollen Sie Ihrem Dialogfeld eine Schaltflche "Minimieren" hinzufgen, bentigen Sie 
//  den nachstehenden Code, um das Symbol zu zeichnen. Fr MFC-Anwendungen, die das 
//  Dokument/Ansicht-Modell verwenden, wird dies automatisch fr Sie erledigt.

void CMoviematDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // Gertekontext fr Zeichnen

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Symbol in Client-Rechteck zentrieren
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Symbol zeichnen
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// Die Systemaufrufe fragen den Cursorform ab, die angezeigt werden soll, whrend der Benutzer
//  das zum Symbol verkleinerte Fenster mit der Maus zieht.
HCURSOR CMoviematDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CMoviematDlg::OnLoad() 
{
	CFileDialog dlg(TRUE,"mmf",NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,
	"MovieMatrix (*.mmf)|*.mmf|All Files (*.*)|*.*||",this);
	
	CString WName;

	if (dlg.DoModal()==IDOK)
	{
	   	FILE* hInDatei = fopen((LPCSTR)dlg.GetPathName(),"rb");
		
		if (hInDatei == 0) 
		{
			AfxMessageBox("Konnte Datei nicht oeffnen!",MB_OK||MB_ICONSTOP);
		}
		else
		{

			CMMFormat Datei;

			ST_Header tempHDR;
			
			
			Datei.ReadHdr(&tempHDR,hInDatei);

			// Ist der Header in Ordnung?
			if ((tempHDR.Framecount < MAX_FRAMES) && (tempHDR.Framecount >0))
			{

				memcpy(&m_stInfo,&tempHDR,sizeof(ST_Header));
				
				ResetData();
				
				m_LastEntry = m_stInfo.Framecount-1; 

				for (unsigned int i = 0; i<m_stInfo.Framecount;i++)
				{

					char* NewFrame = (char*)malloc(m_stInfo.Size_x*m_stInfo.Size_y);

					
					if (NULL != NewFrame)
					{

						m_aFrameList[i] = NewFrame;
					}


					Datei.ReadFrame( NewFrame,
									  m_stInfo.Size_x*m_stInfo.Size_y,
									  hInDatei);
				} 	
				
				WName =  _T("moviemat [")+dlg.GetFileName()+_T("]");
				SetWindowText(WName);
				
				m_MEdit.SetSize(m_stInfo.Size_x, m_stInfo.Size_y,m_stInfo.BPP);
				m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

				UpdateStatus();
			}
			else
			{
				AfxMessageBox("Datei enthaelt keine oder zu viele Frames!",MB_OK||MB_ICONSTOP);

			}
		
			fclose(hInDatei);

		

		}
	}


	
}

void CMoviematDlg::OnSave() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	CFileDialog dlg(FALSE,"mmf",NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,
	"MovieMatrix (*.mmf)|*.mmf|All Files (*.*)|*.*||",this);

	CString WName;
	
	if (dlg.DoModal()==IDOK)
	{
	   	FILE* hOutDatei = fopen((LPCSTR)dlg.GetPathName(),"w+b");
		
		if (hOutDatei == 0) 
		{
			AfxMessageBox("Konnte Datei nicht oeffnen!",MB_OK||MB_ICONSTOP);
		}
		else
		{
				// aktuelles Bild holen
			memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
	

			CMMFormat Datei;

			m_stInfo.Framecount=m_LastEntry+1;

			Datei.WriteHdr(&m_stInfo,hOutDatei);

			for (int i = 0; i<=m_LastEntry;i++)
			{
				Datei.WriteFrame( m_aFrameList[i],
								  m_stInfo.Size_x*m_stInfo.Size_y,
								  hOutDatei);
			}

			WName =  _T("moviemat [")+dlg.GetFileName()+_T("]");

			SetWindowText(WName);
		
			fclose(hOutDatei);				   
		}
	}
	
}

void CMoviematDlg::OnExport() 
{

	CFileDialog dlg(FALSE,"hex",NULL,OFN_HIDEREADONLY|OFN_OVERWRITEPROMPT,
	"Intel-HEX (*.hex)|*.hex|All Files (*.*)|*.*||",this);
	
	if (dlg.DoModal()==IDOK)
	{
	   	FILE* hOutDatei = fopen((LPCSTR)dlg.GetPathName(),"w+t");
		
		if (hOutDatei == 0) 
		{
			AfxMessageBox("Konnte Datei nicht oeffnen!",MB_OK||MB_ICONSTOP);
		}
		else
		{

			// Mindestens ein Ausgabebyte!
			if (m_stInfo.BPP<1)
			{
				m_stInfo.BPP = 1;
			}

			// aktuelles Bild holen
			memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));

			unsigned int BytesToWrite = (m_stInfo.BPP	* (m_LastEntry+1) *(m_stInfo.Size_x * m_stInfo.Size_y ))/8;
			unsigned int LinesToWrite = BytesToWrite / m_nValPerLine;


			// Speicher fr Bitmap reservieren
			char* pValues = (char*)calloc(BytesToWrite,1);

			Convert2Bitmap(pValues);

			m_Exportdatei.WriteHeader(hOutDatei);



			// Ganze Zeilen Schreiben
			for (unsigned int i = 0; i < LinesToWrite; i++)
			{
							
				m_Exportdatei.WriteData(&pValues[i*m_nValPerLine], m_nValPerLine, hOutDatei);
			}

			// Ganze Zeilen Schreiben

			if(LinesToWrite)
			{
				BytesToWrite = BytesToWrite % LinesToWrite;
			}

			if(	BytesToWrite > 0 )
			{
				m_Exportdatei.WriteData(&pValues[LinesToWrite*m_nValPerLine], BytesToWrite, hOutDatei);
			}

			m_Exportdatei.WriteFooter(hOutDatei);
		
			fclose(hOutDatei);

			free(pValues);
			
		}
	}
}

void CMoviematDlg::OnSettings() 
{
	
	CEinstellungen dlg;
	char helpstring[16];

	// Dialogelemente  setzen
	sprintf(helpstring,"%u",m_stInfo.BPP);
	dlg.m_BPP = helpstring;

	sprintf(helpstring,"%u",m_stInfo.Size_x);
	dlg.m_SizeX = helpstring;

	sprintf(helpstring,"%u",m_stInfo.Size_y);
	dlg.m_SizeY = helpstring;

	sprintf(helpstring,"%u",m_nTimerRate);
	dlg.m_Time= helpstring;

	dlg.DoModal();

	// X- und Y-Groess holen
	unsigned int S_X = atoi(dlg.m_SizeX);
	unsigned int S_Y = atoi(dlg.m_SizeY);

	m_stInfo.BPP = atoi(dlg.m_BPP);
	m_nTimerRate = atoi(dlg.m_Time);

	// Groesse verndert? Bilddaten wegwerfen, rezize etc
	if ((S_X!=m_stInfo.Size_x) || (S_Y!=m_stInfo.Size_y))
	{

		if (!m_MEdit.SetSize(S_X, S_Y,m_stInfo.BPP))
		{
			AfxMessageBox("Konnte X/Y-Groesse nicht aendern!",MB_OK||MB_ICONSTOP);
		}
		else
		{
			ResetData();
			m_stInfo.Size_x = S_X;
			m_stInfo.Size_y = S_Y;

			// Neuen Frame 0 anlegen
			char* NewFrame = (char*)calloc(m_stInfo.Size_x*m_stInfo.Size_y,1);

			if (NULL != NewFrame)
			{
				m_aFrameList[m_LastEntry] = NewFrame;
			}
			else
			{
				AfxMessageBox("Konnte keinen neuen Speicher belegen!",MB_OK||MB_ICONSTOP);
			}
		}

	}

	UpdateStatus();
	
}

void CMoviematDlg::OnOK() 
{
	// TODO: Zustzliche Prfung hier einfgen
	

	ResetData();

	free(m_pPuffer);

	CDialog::OnOK();
}

void CMoviematDlg::OnBtnCpy() 
{
	// TODO: Add your control notification handler code here

	// aktuelles Bild holen
	memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
	
	memcpy(m_pPuffer, m_aFrameList[m_ActFrame], (m_stInfo.Size_x*	m_stInfo.Size_y));

	
}

void CMoviematDlg::OnBtnFwd() 
{
	// TODO: Add your control notification handler code here
	if(m_ActFrame < m_LastEntry)
	{
		// aktuelles Bild holen
		memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
		
		//nchstes Bild setzen
		m_ActFrame++;
		m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

		UpdateStatus();
	}
	else if (m_nKillTimer)
	{
		OnBtnStop();
	}

}

void CMoviematDlg::OnBtnNew() 
{
	// TODO: Add your control notification handler code here

	// aktuelles Bild holen
	memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
	
	// Knnen noch Frames angelegt werden?
	if (m_LastEntry < (MAX_FRAMES-1))
	{

		char* NewFrame = (char*)calloc(m_stInfo.Size_x*m_stInfo.Size_y,1);

		if (NULL != NewFrame)
		{
			
			// Am Ende anhngen?
			if (m_ActFrame == m_LastEntry)
			{
				m_LastEntry++;
				m_ActFrame++;
				m_aFrameList[m_LastEntry] = NewFrame;
			}
			else // Insert
			{
				// Erstmal die Eintrge nach oben shiften
				for (int i = m_LastEntry; i > m_ActFrame; i--)
				{
					m_aFrameList[i+1] =  m_aFrameList[i];
				}

				m_LastEntry++;
				m_ActFrame++;
				m_aFrameList[m_ActFrame] = NewFrame;
				
			}
			
			 m_MEdit.SetContent(NewFrame);
		
		}
		else
		{
			AfxMessageBox("Konnte keinen neuen Speicher belegen!",MB_OK||MB_ICONSTOP);
		}

		UpdateStatus();
	}
	else
	{
		AfxMessageBox("Maximale Framezahl erreicht!",MB_OK||MB_ICONSTOP);
	}

	UpdateStatus();
	
}

void CMoviematDlg::OnBtnRew() 
{
	// TODO: Add your control notification handler code here

	if(m_ActFrame > 0)
	{
		// aktuelles Bild holen
		memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
		
		//nchstes Bild setzen
		m_ActFrame--;
		m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

		UpdateStatus();

	}
	
}

void CMoviematDlg::UpdateStatus()
{
	char help[128];

	sprintf(help,"Frame %u / %u",m_ActFrame+1,m_LastEntry+1);

	m_Countertext.SetWindowText(help);

	SetBTNStyles();
}

void CMoviematDlg::OnRd() 
{
	// TODO: Add your control notification handler code here
	m_MEdit.MoveDown();
	
}

void CMoviematDlg::OnRl() 
{
	// TODO: Add your control notification handler code here
	m_MEdit.MoveLeft();
}

void CMoviematDlg::OnRr() 
{
	// TODO: Add your control notification handler code here
	m_MEdit.MoveRight();
}

void CMoviematDlg::OnRu() 
{
	// TODO: Add your control notification handler code here
	m_MEdit.MoveUp();
}

int CMoviematDlg::ResetData()
{
	/* Erstmal alles im Speicher lschen */
	for (int i = m_LastEntry; i >=0; i--)
	{
		free(m_aFrameList[i]);
	}

	m_LastEntry=0;
	m_ActFrame=0;

   return 1;
}

void CMoviematDlg::OnBtnBegin() 
{
	// TODO: Add your control notification handler code here
	if(m_ActFrame > 0)
	{
		// aktuelles Bild holen
		memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
		
		//erstes Bild setzen
		m_ActFrame=0;
		m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

		UpdateStatus();

	}
}

void CMoviematDlg::OnBtnEnd() 
{
	// TODO: Add your control notification handler code here
	if(m_ActFrame < m_LastEntry)
	{
		// aktuelles Bild holen
		memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));
		
		//letztes Bild setzen
		m_ActFrame=m_LastEntry;
		m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

		UpdateStatus();

	}
}

void CMoviematDlg::OnBtnDel() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	// Knnen noch Frames angelegt werden?
	
	if (m_LastEntry > 0)
	{

		free(m_aFrameList[m_ActFrame]);

		for (int i = m_ActFrame+1; i <=	m_LastEntry; i++)
		{
			m_aFrameList[i-1] = m_aFrameList[i];	
		}

		if (m_ActFrame == m_LastEntry)
		{
			m_ActFrame--;
		}

		m_LastEntry--;

		 
			 
	}
	else // wenn nur noch ein Frame, dann nur Inhalt lschen
	{
		memset(m_aFrameList[m_ActFrame],0,(m_stInfo.Size_x*	m_stInfo.Size_y));
	}
	
	m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

	UpdateStatus();
	
}

void CMoviematDlg::OnBtnPaste() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	
	memcpy( m_aFrameList[m_ActFrame],m_pPuffer, (m_stInfo.Size_x*	m_stInfo.Size_y));
	
	m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

}



void CMoviematDlg::OnBtnPlay() 
{
	// TODO: Add your control notification handler code here
	
	// aktuelles Bild holen
	memcpy(m_aFrameList[m_ActFrame],m_MEdit.GetContent(),(m_stInfo.Size_x*	m_stInfo.Size_y));


	if (!m_nKillTimer)
	{
		m_nKillTimer = SetTimer(MyTimer,m_nTimerRate,NULL);
		m_ActFrame = 0;
	}

}

void CMoviematDlg::OnBtnStop() 
{
	// TODO: Add your control notification handler code here
	if (m_nKillTimer)
	{
		KillTimer(m_nKillTimer);
		m_nKillTimer = 0;
	}
	
}

void CMoviematDlg::OnTimer(UINT nIDEvent) 
{
	// TODO: Add your message handler code here and/or call default
	if(m_ActFrame < m_LastEntry)
	{
		
		//nchstes Bild setzen
		m_ActFrame++;
		m_MEdit.SetContent(m_aFrameList[m_ActFrame]);

		UpdateStatus();
	}
	else
	{
		OnBtnStop();
	}



	CDialog::OnTimer(nIDEvent);
}

void CMoviematDlg::Convert2Bitmap(char *pBitmap)
{
  if (NULL != pBitmap)
  {
	   
	    int index=0;
	  
		unsigned char Construction[4];
	    unsigned char Pattern;
		unsigned char AktShade;
		char* pHelper;

	  	// Frames durchklimpern
		for (int frame=0; frame <= m_LastEntry; frame++)
		{
			pHelper = m_aFrameList[frame];
			
			// X-Positionen durchgehen
			for (unsigned int xcount=0; xcount <  m_stInfo.Size_x; xcount++)
			{
				
				
					Construction[0]=0;
					Construction[1]=0;
					Construction[2]=0;
					Construction[3]=0;

					Pattern=0x01;

					for (unsigned int ycount = 0; ycount < m_stInfo.Size_y; ycount++)
					{
						AktShade=0xFF;
						// Bits gesetzt? 
						for (int shade = 0; shade < m_stInfo.BPP; shade++)
						{
							if((unsigned char)pHelper[xcount+m_stInfo.Size_x*ycount]>=AktShade)
							{
								Construction[shade]+=Pattern;
							} 
							AktShade -= 256/m_stInfo.BPP;
						}

						Pattern <<=1;

					}// Ycount

					for (int shade = 0; shade < m_stInfo.BPP; shade++)
					{
						pBitmap[index] = Construction[shade];
						index++;
					}
					

			} //xcount

		} // frame
  
  }
}

void CMoviematDlg::SetBTNStyles()
{
	
	// FWD
	if (m_LastEntry	== m_ActFrame)
	{
		( (CButton *)GetDlgItem ( IDC_BTN_END ) )->ModifyStyle(0,WS_DISABLED,1); 
		( (CButton *)GetDlgItem ( IDC_BTN_END ) )->RedrawWindow();
		( (CButton *)GetDlgItem ( IDC_BTN_FWD ) )->ModifyStyle(0,WS_DISABLED,1);
		( (CButton *)GetDlgItem ( IDC_BTN_FWD ) )->RedrawWindow();
	}
	else
	{
		( (CButton *)GetDlgItem ( IDC_BTN_END ) )->ModifyStyle(WS_DISABLED,0,1);  
		( (CButton *)GetDlgItem ( IDC_BTN_END ) )->RedrawWindow(); 
		( (CButton *)GetDlgItem ( IDC_BTN_FWD ) )->ModifyStyle(WS_DISABLED,0,1);	
		( (CButton *)GetDlgItem ( IDC_BTN_FWD ) )->RedrawWindow();

	}


	// DEL
	if ( 0 == m_LastEntry)
	{
			( (CButton *)GetDlgItem ( IDC_BTN_DEL ) )->ModifyStyle(0,WS_DISABLED,1); 
		( (CButton *)GetDlgItem ( IDC_BTN_DEL ) )->RedrawWindow();

	}
	else
	{
		( (CButton *)GetDlgItem ( IDC_BTN_DEL ) )->ModifyStyle(WS_DISABLED,0,1);
		( (CButton *)GetDlgItem ( IDC_BTN_DEL ) )->RedrawWindow();

	}

    // REW
	if ( 0 == m_ActFrame)
	{
		( (CButton *)GetDlgItem ( IDC_BTN_BEGIN ) )->ModifyStyle(0,WS_DISABLED,1); 
		( (CButton *)GetDlgItem ( IDC_BTN_BEGIN ) )-> RedrawWindow();
		( (CButton *)GetDlgItem ( IDC_BTN_REW ) )->ModifyStyle(0,WS_DISABLED,1);	 
		( (CButton *)GetDlgItem ( IDC_BTN_REW ) )->RedrawWindow();

	}
	else
	{
		( (CButton *)GetDlgItem ( IDC_BTN_BEGIN ) )->ModifyStyle(WS_DISABLED,0,1);  
		( (CButton *)GetDlgItem ( IDC_BTN_BEGIN ) )->RedrawWindow(); 
		( (CButton *)GetDlgItem ( IDC_BTN_REW ) )->ModifyStyle(WS_DISABLED,0,1); 
		( (CButton *)GetDlgItem ( IDC_BTN_REW ) )->RedrawWindow(); 

	}


}
